using AipGateway.API.Domain.IRepositories.IGenericRepositories;
using AipGateway.API.Domain.Models;
using AipGateway.API.Extensions;
using Microsoft.AspNetCore.Mvc;
using Swashbuckle.AspNetCore.Annotations;

namespace AipGateway.API.Controllers
{
    [ApiController]
    [Route("v1/aip-files")]
    [Produces("application/json")]
    [SwaggerResponse(500, type: typeof(ErrorResponseModel))]
    [SwaggerResponse(400, type: typeof(ErrorResponseModel))]
    [SwaggerResponse(404, type: typeof(ErrorResponseModel))]
    [SwaggerResponse(422, type: typeof(ErrorResponseModel))]
    [SwaggerResponse(304, type: typeof(ErrorResponseModel))]

    public class AipFileController : BaseModule
    {
        private readonly IUnitOfWork _unitOfWork;
        public AipFileController(IUnitOfWork unitOfWork, IWebHostEnvironment webHostEnvironment) : base(unitOfWork, webHostEnvironment)
        {
            _unitOfWork = unitOfWork;
        }
    }
}
